package com.meeting.demo.vision.dependency.menu.audience;

import com.meeting.demo.menu.AudienceMenuCreator;
import com.huawei.hwmconf.presentation.dependency.menu.IConfMenu;
import com.huawei.hwmconf.presentation.dependency.menu.v2.IAudienceMenuStrategy;
import com.meeting.demo.dependency.menu.item.CustomMoreMenu;
import com.meeting.demo.utils.DemoUtil;

import java.util.List;

public class CustomVisionAudienceMenuHandle implements IAudienceMenuStrategy {

    @Override
    public List<IConfMenu> buildAudienceItemMenuItems() {
        List<IConfMenu> confMenus = AudienceMenuCreator.createAudienceItemMenus(DemoUtil.getApplication());
        // 增加一个自定义菜单
        confMenus.add(new CustomMoreMenu());
        return confMenus;
    }
}
